cancel
Showing results for 
Search instead for 
Did you mean: 

Admin WYSIWYG upgrade to latest Tiny MCE 4.*

Admin WYSIWYG upgrade to latest Tiny MCE 4.*

Feature request from darrenjennings, posted on GitHub Oct 23, 2016

On latest mangeto version, would love to see TinyMCE upgraded and maintained since Magento is several versions behind latest TinyMCE. https://www.tinymce.com/

Newest version should include integration with image uploading/resizing/editing, magento widget/variable insertion etc.

I've attempted to upgrade the core myself so as to offer a PR, but it broke too many things along the way. Smiley Happy

(1)
6 Comments
Not applicable

Comment from darrenjennings, posted on GitHub Oct 28, 2016

I was able to get TinyMCE 4 working with Magento 1.7. Will post a PR here if I have time to get it working with Magento2.

Not applicable

Comment from pboisvert, posted on GitHub Nov 04, 2016

thanks @darrenjennings new features in the latest version look really interesting so I'd imagine a PR would be very valuable for the community

@tkacheva please review in context of upcoming CMS work

M1 Certified

This would be great!

Occasional Visitor

This seems well overdue at this point. TinyMCE is a large part of the code that seems concerning it is so out of date.

 

The code has been exempted from being minified which is probably due to the lack of code that won't work in 'use strict'.

 

The code also is difficult to audit for security because of it's size and complexity.

Magento Team

Magento 2.3 release will include TinyMCE editor updated to the recent version. Integration with images/magento widgets and variables is done via plugins

Frequent Visitor

Great to hear that! For those using the 2.1 or 2.2 branch: I have written a module which upgrades the core editor and also covers the customized widget plugins, currently working for Magento 2.1 and Magento 2.2. For those who want to check it out:

https://github.com/pavelleonidov/magento2-tinymce4